/*
 * prc.h
 *
 * PalmOS PRC Executables Format Description
 * Written by E.Sundaw, 1999
 *
 */

#ifndef _PRC_H
#define _PRC_H

typedef unsigned long pilot_time_t; /* number of seconds since January 1, 1904 */

typedef struct _prc_header {
    unsigned char name [32];	/* is zero terminated string */
    unsigned short flags;	/* is 0x01 */
    unsigned short version;	/* is 0x01 */
    pilot_time_t create_time;
    pilot_time_t mod_time;
    pilot_time_t backup_time;
    unsigned long mod_num;	/* must be zero */
    unsigned long app_info;	/* must be zero */
    unsigned long sort_info;	/* must be zero */
    unsigned long type;		/* must be 'appl' */
    unsigned long id;		/* is four characters "creator code" */
    unsigned long unique_id_seed;	/* must be zero */
    unsigned long next_record_list;	/* must be zero */
    unsigned short num_records;	/* number of resources */
} PRC_HDR;

typedef struct _prc_res_header {
    unsigned char name [4];	/* name of the resource */
    unsigned short id;		/* id number of the resource */
    unsigned long offset;	/* pointer to the resource data */
} PRC_RESOURCE_HDR;

#endif
